import WarpError from "./WarpError.js";
export default class NeighborProviderError extends WarpError {
    static E_INVALID_NEIGHBOR_ID = 'E_INVALID_NEIGHBOR_ID';
    static E_INVALID_NEIGHBOR_LABEL = 'E_INVALID_NEIGHBOR_LABEL';
    constructor(message, options = {}) {
        super(message, 'E_NEIGHBOR_PROVIDER', options);
    }
}
